complexType "DividendSwapTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-dividend-swaps-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, dividendLeg?, fixedLeg?
</...>

Content Model Elements (7):

  dividendLeg,
  embeddedOptionType,
  fixedLeg (defined in DividendSwapTransactionSupplement complexType),
  primaryAssetClass (defined in Product.model group),
  productId,
  productType (defined in Product.model group),
  secondaryAssetClass

All Direct / Indirect Based Elements (2):

  dividendSwapTransactionSupplement,
  dividendSwapTransactionSupplement (in dividendSwapOptionTransactionSupplement)

Known Usage Locations

- As direct type of elements (2):
  dividendSwapTransactionSupplement,
  dividendSwapTransactionSupplement (in dividendSwapOptionTransactionSupplement)

Annotation
A Dividend Swap Transaction Supplement.
Type Definition Detail

Type Derivation Tree Product (extension) DividendSwapTransactionSupplement

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="DividendSwapTransactionSupplement"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="dividendLeg" type="DividendLeg"/> <xsd:element minOccurs="0" name="fixedLeg" type="FixedPaymentLeg"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/7)
dividendLeg

  Type: | DividendLeg, complex content

  Dividend leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendLeg" type="DividendLeg"/>

fixedLeg

  Type: | FixedPaymentLeg, complex content

  Fixed payment leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedLeg" type="FixedPaymentLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.